Summary: perforce visual client
Name: p4v
Version: 2005.2
Release: 94595
Copyright: Commercial
Group: Development/Tools
Source: http://www.perforce.com/downloads/perforce/r05.2/bin.linux24x86/p4v.tgz
BuildRoot: %{_tmppath}/%{name}-root

%description
P4V, Perforce Visual Client, is a graphical user interface to
Perforce on FreeBSD, Mac OS X and Linux. P4V provides quick and
easy access to Perforce-managed files through a user interface
that is consistent across OS platforms

%prep
%setup -c

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p  $RPM_BUILD_ROOT/usr/bin
install -m 755 p4v $RPM_BUILD_ROOT/usr/bin/p4v
mkdir -p  $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps
mkdir -p  $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps
mkdir -p  $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/apps
mkdir -p  $RPM_BUILD_ROOT/usr/share/icons/locolor/32x32/apps
install -m 644 P4VResources/icons/p4v_32_high.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/p4v.png
install -m 644 P4VResources/icons/p4v_48_high.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/p4v.png
install -m 644 P4VResources/icons/p4v_16_low.png $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/apps/p4v.png
install -m 644 P4VResources/icons/p4v_32_low.png $RPM_BUILD_ROOT/usr/share/icons/locolor/32x32/apps/p4v.png

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc P4VResources/p4vhelp/*
/usr/bin/p4v
/usr/share/icons/hicolor/32x32/apps/p4v.png
/usr/share/icons/hicolor/48x48/apps/p4v.png
/usr/share/icons/locolor/16x16/apps/p4v.png
/usr/share/icons/locolor/32x32/apps/p4v.png

%changelog
* Thu Apr 27 2006 Charles Hardin <chardin@2wire.com>
- initial packaging
